<ng-container *ngIf="{
        fmi: fmi,
        screenSize: screenSize$ | async } as vm">
  <section class="teams">
    <h2>
      {{ 'fmi.read.team.title' | translate }}
    </h2>

    <mat-accordion>
      <mat-expansion-panel *ngFor="let team of vm.fmi?.teams; trackBy: trackBySlug">
        <mat-expansion-panel-header [collapsedHeight]="'3.5rem'" [expandedHeight]="'4rem'">
          <h3>
            {{ team | teamName:vm.screenSize:'xs' }}
            {{ team.index }}
          </h3>
          <figure>
            <img *ngIf="'common.team.defaultPicture.url' | translate"
                 class="lazy-load"
                 [lazyLoad]="team.logoUrl"
                 [errorImage]="'common.team.defaultPicture.url' | translate"
                 [alt]="team.name" />
          </figure>
        </mat-expansion-panel-header>
        <h4>
          {{ 'fmi.read.team.inChargeOfTeam' | translate }}
        </h4>
        <article class="educator" *ngIf="team.educator as educator">
          <h5>
            {{ educator.firstName }}
            {{ educator.lastName }}
          </h5>
          <span class="license-wrapper">
            <small>
              {{ educator.code | licenseNumber }}
            </small>
            <mat-icon *ngIf="!educator.slug"
                      [matTooltip]="'fmi.read.tip.manual' | translate"
                      matTooltipPosition="above">
              warning
            </mat-icon>
          </span>
        </article>

        <h4>
          {{ 'fmi.read.team.players' | translate }}
        </h4>
        <ol class="player">
          <li *ngFor="let player of team.players; trackBy: trackBySlug">
            <article>
              <h5>
                {{ player.firstName }}
                {{ player.lastName }}
              </h5>
              <span class="license-wrapper">
                <small>
                  {{ player.code | licenseNumber }}
                </small>
                <mat-icon *ngIf="!player.slug"
                          [matTooltip]="'fmi.read.tip.manual' | translate"
                          matTooltipPosition="above">
                  warning
                </mat-icon>
                <mat-icon *ngIf="player.injured"
                          [matTooltip]="'fmi.read.tip.injured' | translate">
                  healing
                </mat-icon>
              </span>
              <strong>
                {{ 'common.category.' + player.category | translate }}
              </strong>
            </article>
            <button mat-icon-button
                    *ngIf="(user | userIsInChargeOfTeam:team) && formGroup.controls[team.slug]?.enabled"
                    [matMenuTriggerFor]="menu"
                    [matMenuTriggerData]="{ player: player }"
                    [attr.aria-label]="'common.userMenu.trigger'"
                    angulartics2On="click"
                    angularticsLabel="menu"
                    angularticsAction="toggle"
                    angularticsCategory="">
              <mat-icon>
                more_vert
              </mat-icon>
            </button>
          </li>
        </ol>
      </mat-expansion-panel>
    </mat-accordion>
  </section>

  <mat-menu #menu="matMenu">
    <ng-template matMenuContent let-player="player">
      <button mat-menu-item
              angulartics2On="click"
              [angularticsValue]=""
              angularticsLabel=""
              angularticsAction=""
              angularticsCategory="">
        <mat-checkbox [(ngModel)]="player.injured">
          <mat-icon>
            healing
          </mat-icon>
          <span>
            {{ 'fmi.read.team.injured' | translate }}
          </span>
        </mat-checkbox>
      </button>
    </ng-template>
  </mat-menu>
</ng-container>
